# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class CellEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<CellEntry>
                  com.google.gdata.data.spreadsheet.CellEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CellEntry

extends BaseEntry<CellEntry>

Atom Entry for a single cell for the Google Spreadsheets cells feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label entries that contain cell data.
`static java.lang.String` `KIND` Kind category term used to label the entries that contains cell data.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CellEntry()` Constructs an empty CellEntry to be populated by the XML parsing process.
`CellEntry(BaseEntry sourceEntry)` Constructs from a copy.
`CellEntry(Cell cell)` Constructs a CellEntry with a new cell.
`CellEntry(int row, int col, java.lang.String newInputValue)` Constructs a CellEntry that can be posted to overwrite an existing cell.

Method Summary
`void` `changeInputValueLocal(java.lang.String newInputValue)` Updates the cell's formula so it can be sent back to the server.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the extensions used by the XML parser in the given profile object.
`Cell` `getCell()` Yields the <gd:cell> element that makes up this Cell Entry.
`void` `setAutomaticallyGeneratedContent(Content v)` Lets the GData server set the content.
`void` `setAutomaticallyGeneratedTitle(TextConstruct v)` Lets the GData server set the title.
`void` `setContent(Content v)` Throws an exception, preventing setting the server-generated field.
`void` `setContent(TextConstruct v)` Throws an exception, preventing setting the server-generated field.
`void` `setSummary(TextConstruct v)` Throws an exception, preventing setting the server-generated field.
`void` `setTitle(TextConstruct v)` Throws an exception, preventing setting the server-generated field.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the entries that contains cell data.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label entries that contain cell data.

Constructor Detail

### CellEntry

    public CellEntry()

  Constructs an empty CellEntry to be populated by the XML parsing process.

### CellEntry

    public CellEntry(int row,
                     int col,
                     java.lang.String newInputValue)

  Constructs a CellEntry that can be posted to overwrite an existing cell.

  Parameters:
    `row` - the row location of the cell
    `col` - the column location of the cell
    `newInputValue` - the string to write the cell with; if it starts with an "=" sign it is a formula, otherwise it is a literal value

### CellEntry

    public CellEntry(Cell cell)

  Constructs a CellEntry with a new cell.

### CellEntry

    public CellEntry(BaseEntry sourceEntry)

  Constructs from a copy.

  Parameters:
    `sourceEntry` - source to copy from

Method Detail

### getCell

    public Cell getCell()

  Yields the <gd:cell> element that makes up this Cell Entry.

### setTitle

    public void setTitle(TextConstruct v)

  Throws an exception, preventing setting the server-generated field.

  Overrides:
    `setTitle` in class `BaseEntry<CellEntry>`

### setContent

    public void setContent(TextConstruct v)

  Throws an exception, preventing setting the server-generated field.

  Overrides:
    `setContent` in class `BaseEntry<CellEntry>`

### setContent

    public void setContent(Content v)

  Throws an exception, preventing setting the server-generated field.

  Overrides:
    `setContent` in class `BaseEntry<CellEntry>`

### setSummary

    public void setSummary(TextConstruct v)

  Throws an exception, preventing setting the server-generated field.

  Overrides:
    `setSummary` in class `BaseEntry<CellEntry>`

### changeInputValueLocal

    public void changeInputValueLocal(java.lang.String newInputValue)

  Updates the cell's formula so it can be sent back to the server. Note that this destroys the cell's value!

  Parameters:
    `newInputValue` - the new input value (starts with '=' if a formula)

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares the extensions used by the XML parser in the given profile object.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### setAutomaticallyGeneratedTitle

    public void setAutomaticallyGeneratedTitle(TextConstruct v)

  Lets the GData server set the title.

### setAutomaticallyGeneratedContent

    public void setAutomaticallyGeneratedContent(Content v)

  Lets the GData server set the content.